%define upstream_name	 Class-ErrorHandler
%define upstream_version 0.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Base class for error handling
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
Class::ErrorHandler provides an error-handling mechanism that's generic enough
to be used as the base class for a variety of OO classes. Subclasses inherit
its two error-handling methods, error and errstr, to communicate error messages
back to the calling program.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{perl_vendorlib}/Class/*
%{_mandir}/*/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.40.0-7.mga10
+ Revision: 2197921
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.40.0-6.mga9
+ Revision: 1802433
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.40.0-5.mga8
+ Revision: 1493534
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.40.0-4.mga7
+ Revision: 1266314
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.40.0-3.mga6
+ Revision: 1023963
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.40.0-2.mga6
+ Revision: 967811
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.40.0-1.mga6
+ Revision: 850317
- update to 0.04

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-4.mga5
+ Revision: 742577
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-3.mga5
+ Revision: 683911
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.30.0-2.mga4
+ Revision: 531967
- Mageia 4 Mass Rebuild

* Wed Aug 14 2013 sander85 <sander85> 0.30.0-1.mga4
+ Revision: 466386
- update to 0.03

* Fri Jun 07 2013 jquelin <jquelin> 0.20.0-1.mga4
+ Revision: 438864
- update to 0.02

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 364348
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 0.10.0-1.mga1
+ Revision: 9980
- imported package perl-Class-ErrorHandler


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.10.0-1mdv2010.0
+ Revision: 406874
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.01-5mdv2009.0
+ Revision: 255950
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.01-3mdv2008.1
+ Revision: 136683
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-3mdv2008.0
+ Revision: 86107
- rebuild


* Mon Aug 28 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-28 14:35:05 (58390)
- mkrel

* Mon Aug 28 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-28 14:32:49 (58383)
Import perl-Class-ErrorHandler

* Tue Jun 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.01-1mdk
- Initial Mandriva release.

